<template>
  <the-header></the-header>
  <router-view v-slot="slotProps">
    <transition name="route" mode="out-in">
      <component :is="slotProps.Component"></component>
    </transition>
  </router-view>
</template>

<script>
import TheHeader from './components/nav/TheHeader';

export default {
  name: 'App',
  components: {
    TheHeader,
  },
  computed:{
    didAutoLogout(){
      return this.$store.getters.didAutoLogout;
    }
  },
  created(){
    this.$store.dispatch('tryLogin');
  },
  watch:{
    didAutoLogout(newValue,oldValue){
      if(newValue && newValue !== oldValue){
        this.$router.replace('/coaches')
      }
    }
  }

};
</script>

<style>
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");

* {
  box-sizing: border-box;
}

html {
  font-family: "Roboto", sans-serif;
}

body {
  margin: 0;
}

.route-enter-from{
  opacity: 0;
  transform: translateY(-30px);
}
.route-enter-to{
  opacity: 1;
  transform: translateY(0);
}

.route-enter-active{
  transition: all .3s ease-out;
}
.route-leave-active{
  transition: all .3s ease-in;
}

.route-leave-from{
  opacity: 1;
  transform: translateY(0);
}
.route-leave-to{
  opacity: 0;
  transform: translateY(-30px);
}
</style>